HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCustomersCustomerBalanceTransactionsTransaction

Contains the different functions to run the operation postCustomersCustomerBalanceTransactionsTransaction

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostCustomersCustomerBalanceTransactionsTransaction.hs
valuepostCustomersCustomerBalanceTransactionsTransaction
  1. :: MonadHTTP m
  2. => PostCustomersCustomerBalanceTransactionsTransactionParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> Maybe PostCustomersCustomerBalanceTransactionsTransactionRequestBody

    The request body to send

  4. -> ClientT m (Response PostCustomersCustomerBalanceTransactionsTransactionResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/customers/{customer}/balance_transactions/{transaction}

<p>Most credit balance transaction fields are immutable, but you may update its <code>description</code> and <code>metadata</code>.</p>

Defines the object schema located at paths./v1/customers/{customer}/balance_transactions/{transaction}.POST.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}/balance_transactions/{transaction}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}/balance_transactions/{transaction}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postCustomersCustomerBalanceTransactionsTransaction.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostCustomersCustomerBalanceTransactionsTransactionResponseError is used.

Instances2Eq, Show